package com.supervision.knowsub.util;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.json.JSONUtil;
import com.supervision.knowsub.config.ThreadCache;
import com.supervision.knowsub.exception.BusinessException;
import lombok.Data;

public class UserUtil {

    public static User getUser(){
        String userStr = ThreadCache.USER.get();
        User bean = JSONUtil.toBean(userStr, User.class);
        if (ObjectUtil.isEmpty(bean)){
            throw new BusinessException("未获取到用户信息");
        }
        return bean;
    }

    public static String getUserToken(){
        return ThreadCache.USER.get();
    }

    @Data
    public static class User{
        private String id;

        private String account;

        private String username;
    }
}
