package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 知识表
 * @TableName ks_knowledge
 */
@TableName(value ="ks_knowledge")
@Data
public class Knowledge implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 知识标题
     */
    private String title;

    /**
     * 知识内容ID
     */
    private String contentId;

    /**
     * 应用子库ID
     */
    private String baseId;

    /**
     * 发文部门ID
     */
    private String publishDeptId;

    /**
     * 知识来源 1人工添加
     */
    private Integer knowledgeFrom;

    /**
     * 流转状态 1草稿 2待审批 3审批中 4已退回 5已失效
     */
    private Integer status;

    /**
     * 报送部门
     */
    private String submittedDept;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}